/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/*
CUSTOM CSS CREATED BY THINKPAD CREATIVE
1 - FONTS
2 - FRAMEWORK
3 - GENERAL
4  - MENU
5  - Bullets
6  - Product Pages
7  - OLD CODE
8  - MESSAGES
9  - WOOCOMMERCE BASKET
10  - WOOCOMMERCE CHECKOUT
10B - WOOCOMMERCE MY ACCOUNT
11 - SIC CODE FINDER
12 - DELIVERY/COLLECTION ADDRESS WARNING
13 - DIGITAL ORDER SIGNATURE
14 - REVIEW FORMS
15 - REVIEW FORMS CHECKOUT CSS
16 - ANIMATIONS
*/

/* ---------------------------------------------------------------------------------*/
/* 1 - FONTS */
/* ---------------------------------------------------------------------------------*/
@font-face {
  font-family: 'Public Sans';
  font-style: normal;
  font-weight: 300;
  src: url(fonts/PublicSans-Light.woff2) format('woff2');
  font-display: swap;
}


@font-face {
  font-family: 'Public Sans';
  font-style: normal;
  font-weight: 400;
  src: url(fonts/PublicSans-Regular.woff2) format('woff2');
  font-display: swap;
}


@font-face {
  font-family: 'Public Sans';
  font-style: normal;
  font-weight: 700;
  src: url(fonts/PublicSans-Bold.woff2) format('woff2');
  font-display: swap;
}


@font-face {
  font-family: 'Public Sans';
  font-style: normal;
  font-weight: 800;
  src: url(fonts/PublicSans-ExtraBold.woff2) format('woff2');
  font-display: swap;
}



/* ---------------------------------------------------------------------------------*/
/* 2 - FRAMEWORK */
/* ---------------------------------------------------------------------------------*/
@media (max-width: 959px) {
    .menu-container .logo-container {position: relative;padding: 24px 15px 24px 15px !important;}
    .main-container .row-container .single-h-padding {padding-left: 15px!important;padding-right: 15px!important;}
    .main-container .row-container .row-parent {padding: 34px 15px 34px 15px;}
    .radius-top {border-top-left-radius: 50px!important; border-top-right-radius: 50px!important;}
    .radius-bottom {border-bottom-left-radius: 50px!important; border-bottom-right-radius: 50px!important;}
    .hide {display:none!important;}
    .equal-spacing .uncont {display: flex!important;flex-direction: column!important;justify-content: space-between!important;height: 100%;}
    .link-tile-link {height:110px!important;}
    .link-tile {transition: transform 0.3s ease-in-out;}
    .link-tile:hover {transform: scale(1.05);}
}


/* ---------------------------------------------------------------------------------*/
/* 3 - GENERAL */
/* ---------------------------------------------------------------------------------*/
.style-light .btn-default {border-radius: 18px;}
.underline {text-decoration:underline;}

.get-a-quote-btn {border-radius: 100px!important;background-color:#f9cc1d!important;color:#000000!important;padding:6px 12px;}
.get-a-quote-btn:hover {background-color:#000000!important;color:#ffffff!important;}
.contact-us-btn {border-radius: 100px!important;background-color:#000000!important;color:#ffffff!important;padding:6px 12px}
.contact-us-btn:hover {background-color:#f9cc1d!important;color:#000000!important;}

.radius-all {border-radius: 50px;}

.radius-top-small {border-top-left-radius: 16px; border-top-right-radius: 16px;}
.radius-bottom-small {border-bottom-left-radius: 16px; border-bottom-right-radius: 16px;}

.radius-top {border-top-left-radius: 150px; border-top-right-radius: 150px;}
.radius-bottom {border-bottom-left-radius: 150px; border-bottom-right-radius: 150px;}

.heavy {font-weight:800!important;}
.tiny p {font-size:10px!important;}

.btn-circle {border-radius:35px!important;}

.sab-buttons {color:#000000!important;font-size: 24px !important;padding: 15px 35px !important;width:100%!important;}

.sab-bin-small-buttons {color:#FFFFFF!important; background-color:#000000!important; font-size: 15px !important;padding: 6px 18px !important;}
.sab-skip-small-buttons {color:#FFFFFF!important; background-color:#000000; font-size: 15px !important;padding: 6px 18px !important;}
.sab-skip-medium-buttons {color:#FFFFFF!important; background-color:#000000; font-size: 15px !important; padding: 10px 22px !important;}

.btn-container.btn-inline {padding-left: 0px!important;padding-bottom: 9px!important;}



.text-small > * {margin: 6px 0px 0px 0px!important;line-height: 1.25;}

.selectdropdown {border: #000000 solid 3px; border-radius:50px; box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.4)!important; padding:20px!important; background-color:#FFFFFF!important;color:#000000!important;}

.C2A1 {background: linear-gradient(to right,  #3f3f3f 0%,#7c7c7c 100%); border-radius:12px;}

.pulse {animation: pulse-orange 2s infinite;}
@keyframes pulse-orange {
	0% {box-shadow: 0 0 0 0 rgba(255, 136, 0, 1);}
	70% {box-shadow: 0 0 0 15px rgba(255, 136, 0, 0);}
	100% {box-shadow: 0 0 0 0 rgba(255, 136, 0, 0);}
}

.highlight {animation: highlight-border 2s infinite;}
@keyframes highlight-border {
    0% {border: 3px solid #000000;}
    70% {border: 3px solid #FF9900;}
    100% {border: 3px solid #000000;}
}


/* ---------------------------------------------------------------------------------*/
/* 4 - MENU */
/* ---------------------------------------------------------------------------------*/
.menu-home-icon {font-size:21px!important;}

@media (min-width: 960px) {
    body[class*=hmenu-]:not(.hormenu-position-right) .menu-borders .navbar-mobile-el + .navbar-nav-last > *:first-child {padding: 0px 0px 0px 0px;}
}

@media (max-width: 959px) {
    .menu-horizontal .menu-horizontal-inner > div:not(:first-child):not(.uncode-close-offcanvas-mobile):not(.navbar-main):not(.appended-navbar) {padding-top: 0px;}
    .navbar-main-after {display:none!important;}
    ul.menu-smart i {display:none!important;}
}


/* ---------------------------------------------------------------------------------*/
/* 5 - Bullets */
/* ---------------------------------------------------------------------------------*/
ul.icons li {margin: 5px 0px 0px 30px;}
ul.icons li .fa {margin-left: -25px; margin-right: 9.5px!important;}


/* ---------------------------------------------------------------------------------*/
/* 6 - Product Pages */
/* ---------------------------------------------------------------------------------*/
.skip-form-required::after {color:#FF0000;font-weight:600;content: " *";}
.product-buildup input {width:100%;margin:0px 0px 20px 0px; border: 3px solid #cccccc;}
.product-buildup select {width:100%;margin:0px 0px 20px 0px; border: 3px solid #cccccc;}
.product-buildup textarea {width:100%;margin:0px 0px 20px 0px; border: 3px solid #cccccc;}
.product-buildup label {font-weight:600;}
.product-buildup input[type=checkbox] {width:auto; margin:0px 0px 5px 0px;}
.product-buildup .detail-container {margin: 0px 0px 10px 0px;}
.skip-hire-terms-conditions-div {height: 150px; overflow-y: scroll; border: 3px solid #cccccc; padding: 10px; margin: 0px 0px 10px 0px;}
.skip-hire-terms-conditions-div p {font-size: 10px!important; margin: 0px 0px 0px 0px!important;font-weight: 400!important;}

 input#service_permit_confirmation:checked:before, input#service_permit_confirmation:checked:before {font-size:15px!important;font-weight:600;color:#FF0000!important;line-height:0.6!important;}

.option-price-display {margin:0px 0px 40px 0px;}
.option-price-text {font-size: clamp(28px, 3vw, 30px); font-weight:600;}
.option-price {color:#3ed72a;}

.woocommerce .quantity {display:none!important;}

.woocommerce-error {clear: both; border: solid #FF0000 4px; padding: 25px; font-size: 15px; color: #FF0000; margin-bottom:30px;}

.skip-hire-terms-conditions-div a {color: blue!important;}


div.product form.cart .button {color:#FFFFFF;margin-top:30px;}

.nf-field-element input[type="submit"] {
    background-color: #f9cc1d !important;
    border-color: #f9cc1d !important;
    border-radius: 10em;
    color:#000000!important;
    border-width:1px!important;
}

.nf-field-element input[type="submit"]:hover {
    background-color: #ffffff!important;
    color: #f9cc1d !important;
}


.nf-field-container {margin-bottom:20px!important;}
.label-above .nf-field-label {margin: 0px!important;}


/* ---------------------------------------------------------------------------------*/
/* 7 - OLD CODE */
/* ---------------------------------------------------------------------------------*/
.tc-hidden {display:none!important;}
#waste-code-hidden {display:none!important;}


/* ---------------------------------------------------------------------------------*/
/* 8 - MESSAGES */
/* ---------------------------------------------------------------------------------*/
.clear-basket-outer {padding: 36px 36px 10px 36px;}
form.cart .clear-basket-outer {padding: 0px 0px 0px 0px; margin-top:30px;}

.notice_alert {background-color:#ff0000;padding:15px;font-weight:500;color:#FFFFFF;font-size:15px!important;}
.clear-basket, .clear-basket-skip, .clear-basket-bin, .clear-basket-fel {display:block;clear:both;border:solid #FF0000 4px;padding:25px;font-size:15px;color:#FF0000;}
.clear-basket-skip-new {display:none;clear:both;border:solid #FF0000 4px;padding:25px;font-size:15px;color:#FF0000;}
.wc-notice.woocommerce-error {background-color:#ff0000!important;padding:15px;font-weight:500;color:#FFFFFF;font-size:15px!important;}
.woocommerce-error .double-top-padding {padding-top: 0px!important;}


/* ---------------------------------------------------------------------------------*/
/* 9 - WOOCOMMERCE BASKET */
/* ---------------------------------------------------------------------------------*/
td.product-quantity {display:none!important;}
td.product-price {display:none!important;}
.cart_item dl {font-size:15px;}

.woocommerce-contract-alert {color:#FFFFFF!important;display:inline-block;width:100%;text-align:center;border-radius: 18px;padding:20px 20px 0px 20px;margin-top:30px;background-color:#ff6f00;animation: pulse-orange 3s infinite;}
.woocommerce-contract-alert a {color:#FFFFFF!important;font-size:26px;text-transform:uppercase;}
.woocommerce-contract-alert span {display:block; margin: 0px 0px 18px 0px;}
.woocommerce-contract-alert a.contract-alert-link {font-size:18px;}

.woocommerce ul#shipping_method li:only-child>label {padding-left:0px;}

.woocommerce-order-notes-text {font-weight:600; font-size:15px; display:inline-block; width:100%; text-align:center; border:3px solid #ccc; border-radius: 18px; padding:20px; margin:30px 0px 0px 0px; background-color:#ffffff;}



.cart_totals .shop_table, .cart_totals .shop_table tr, .cart_totals .shop_table th, .cart_totals .shop_table td {border-color:#000000!important;}
.shop_table a {color:#000000!important;}

.woocommerce-order-notes-text-help-02 a {font-weight:600;}

.cart-collaterals .cart_totals p {margin-bottom: 20px;}
.shop_table .shipping-calculator-button {width:100%; display:inline-block; text-align:center; text-transform:uppercase; font-size: 15px !important; margin: 5px 0px; line-height: 1!important; font-weight:600; color:#000000!important; padding: 6px 18px 6px 18px !important; background-color: #ffffff !important; border: solid 3px #000000;  border-radius: 18px;}
a.delivery_info_link {width:100%; display:inline-block; text-align:center; text-transform:uppercase; font-size: 15px !important; margin: 5px 0px; line-height: 1!important; font-weight:600; color:#000000!important; padding: 6px 18px 6px 18px !important; background-color: #ffffff !important; border: solid 3px #000000;  border-radius: 18px;}
a.clear-cart {display:inline-block; text-align:center; text-transform:uppercase; height:40px;font-size: 15px !important; line-height: 1!important; font-weight:600; color:#ffffff!important; padding: 12px 18px 6px 18px !important; background-color: #000000 !important; border-radius: 18px;}
button[name="apply_coupon"] {font-size: 15px !important; line-height: 1!important; font-weight:600; color:#ffffff!important; padding: 6px 18px !important; background-color: #000000 !important; border-color: #000000 !important; border-radius: 18px;}
button[name="update_cart"] {display:none!important;}

@media (min-width: 570px) {
    a.clear-cart {top:27px; margin-top: 0; position: absolute; right: 0;}
}

@media (max-width: 569px) {
    a.clear-cart {width:100%; margin-top:10px; }
}


/* ---------------------------------------------------------------------------------*/
/* 10 - WOOCOMMERCE CHECKOUT */
/* ---------------------------------------------------------------------------------*/
.woocommerce-form-login-toggle .wc-notice, .woocommerce-form-coupon-toggle .wc-notice, .woocommerce-form-coupon > p:first-child {font-size: 14px;}
.woocommerce:not(.uncode-wc-module) form.checkout h3 {font-size: clamp(28px, 3vw, 30px); margin:0px 0px 20px 0px;}
.woocommerce .form-row label {font-weight:600;}
.woocommerce .form-row .input-text {border: 3px solid #e0e0e0; border-radius: 18px;}
.woocommerce .form-row input {margin:0px 0px 5px 0px!important;}

#order_review {border: solid 10px #fdff69; padding:40px; border-radius: 18px;}

.woocommerce-checkout-review-order .order-total .woocommerce-Price-amount {color:#3ed72a!important;font-weight:600!important;}

.alert-icon {font-size:40px!important;width:40px;height:40px;margin-bottom:20px;}

.notices02 input[type=radio] {border-color:#FF0000;border-width:3px;width:20px; height:20px;margin: 0px 10px 1px 0px;}

#terms, #terms_policy, #terms_address, #terms_privacy, #terms_deliverycharges, #myCheck {border-color:#FF0000!important;border-width:4px!important;padding:10px!important;margin: 0px 10px 5px 0px !important;}
input[type=checkbox]:checked:before, input[type=radio]:checked:before {font-size:17px;font-weight:600;color:#FF0000!important;}

.woocommerce-billing-fields h3 {background-color:#ffff60!important;padding:40px!important; text-align:center;margin-top:40px; display:inline-block;width:100%;border-radius:20px;}

#checkout-step-titles {background-color:#ffff60!important;padding:40px 40px 40px 40px!important; text-align:center;margin-top:40px; display:inline-block;width:100%;border-radius:20px;}
#step2-current-address {display:inline-block;width:100%;background-color:#ff0000;padding:0px 20px 20px 20px;margin-bottom:20px;text-align:center;border-radius:20px;}
#step2-current-address p strong {color:#ffffff!important;}

#checkout-step-titles {animation: pulse-animation 2s infinite;}
#step2-current-address {animation: pulse-animation 2s infinite;}

.checkout-notice-01 {border: 5px solid #cccccc!important;padding:0px 20px 20px 20px!important;margin-bottom:30px;border-radius:20px;}
.checkout-notice-02 {border: 5px solid #ffb200!important;padding:0px 20px 20px 20px!important;margin-bottom:30px;border-radius:20px;}
.checkout-notice-01 p {margin-bottom:0px!important;}
.checkout-notice-02 p {margin-bottom:0px!important;}
.checkout-notice-03 {border: 5px solid #ff0000!important;padding:0px 20px 20px 20px!important;margin-bottom:30px;border-radius:20px;}
.checkout-notice-03 p {color:#ff0000!important;margin-bottom:0px!important; }


/* ---------------------------------------------------------------------------------*/
/* 10B - WOOCOMMERCE MY ACCOUNT */
/* ---------------------------------------------------------------------------------*/
.login-submit input {background-color:#000000!important;color:#FFFFFF;border-radius:60px;padding: 10px 30px!important;}
.woocommerce-form-login__submit {background-color:#000000!important;color:#FFFFFF;border-radius:60px!important;padding: 10px 30px!important;}

.woocommerce-MyAccount-navigation a:before {display:none!important;}
.woocommerce-MyAccount-navigation {border: #ccc solid 8px;border-radius: 20px;padding: 30px 0px;}
.woocommerce-MyAccount-content {background-color:#fafafa;border-radius:20px;padding: 30px;}
a.woocommerce-button.button.cancel {display:none!important;}
a.woocommerce-button.button.pay {display:none!important;}
.shop_table:not(.compact-layout) a.remove {display:none!important;}
.order-again {display:none!important;}

.woocommerce-orders-table__cell-order-actions a {background-color:#000000;border-radius:4px;padding:5px 15px!important;color:#FFFFFF!important;}
.woocommerce-orders-table__header {font-weight:600!important;}
.woocommerce-MyAccount-content h2 {margin: 100px 0px 30px 0px;}

.order-status-icon--pending {background-color:#ffe14a!important;color:#000000!important;}
.order-status-icon--cancelled {background-color:#fc4512!important;color:#ffffff!important;}
.order-status-icon--completed {background-color:#14f77e!important;color:#000000!important;}

.woocommerce-pagination {border:none!important;}
.woocommerce-button--previous {background-color:#555555;border-radius:4px;padding:5px 15px!important;color:#FFFFFF!important;}
.woocommerce-button--next {background-color:#555555;border-radius:4px;padding:5px 15px!important;color:#FFFFFF!important;}
.order-actions-button {background-color:#f9cc1d;border-radius:4px;padding:5px 15px!important;}

/* ---------------------------------------------------------------------------------*/
/* 11 - SIC CODE FINDER */
/* ---------------------------------------------------------------------------------*/
#sicsearch{border: 3px solid rgba(84,84,84,0.1);}
.sic-link-btn  {font-size:13px!important;background-color:#000;padding: 10px 18px;line-height: 18px;color:#fff;font-weight:600;margin:0px 10px 10px 0px;display:inline-block;}
#sab_sic_outer_box {display:block;background-color:rgba(84, 84, 84, 0.05);padding:30px;margin: 40px 0px 0px 0px!important;border: 3px solid rgba(84,84,84,0.1);border-radius: 18px;}
.displaynone {display:none;}


/* ---------------------------------------------------------------------------------*/
/* 12 - DELIVERY/COLLECTION ADDRESS WARNING */
/* ---------------------------------------------------------------------------------*/
.address_warning {padding:50px;display: block;background-color:#fdff69;border:3px solid rgba(84,84,84,0.1);margin:40px 0px 0px 0px;border-radius: 18px;}

#ship-to-different-address {display:none;}
#ship-to-different-address-checkbox {display:none;}
.custom-shipping-checkbox {display:block!important;margin-left:auto!important;margin-right:auto!important;float:none!important;margin-top:10px!important;}
.alert-icon-shipping {margin-bottom:20px;}
#sab_custom_checkout_signature {margin:50px 0px 0px 0px!important;}
#sab_custom_checkout_signature h3 {margin:0px 0px 0px 0px!important;display:block;clear:both;}

#delivery-button-01 {display:inline-block; background-color:#000000!important;color:#FFFFFF!important; border-radius: 18px; padding: 6px 18px;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Opera and Firefox */
}
#delivery-button-02 {background-color:#e12230!important;color:#FFFFFF!important; border-radius: 18px; padding: 6px 18px;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Opera and Firefox */
}


/* ---------------------------------------------------------------------------------*/
/* 13 - DIGITAL ORDER SIGNATURE */
/* ---------------------------------------------------------------------------------*/
.sab_custom_checkout_signature {margin:50px 0px 0px 0px!important;}
.sab-signature input {font-family: 'Caveat', cursive!important;text-align:left;}
#sab_digital_signature_entry {font-weight:500;font-size:40px!important;border: none;border-bottom: 3px dotted #CCCCCC; height:100px;}
.signature-message {padding:30px;display:block;background-color:rgba(84, 84, 84, 0.05);border: 3px solid rgba(84,84,84,0.1);text-align:left;margin:40px 0px 0px 0px;border-radius: 18px;}
.signature-message h3 {display:block!important;clear:both!important;float:none!important;}
.signature-message p {font-size:12px!important;}


/* ---------------------------------------------------------------------------------*/
/* 14 - REVIEW FORMS */
/* ---------------------------------------------------------------------------------*/
div.stars a.star {background-image: url("https://skipsandbins.com/sab-content/themes/uncode-child/sab-includes/images/star-ratings.svg")!important;zoom:3.5!important;background-size: 20px 80px;width:20px!important;height:19px!important;}
.star-rating-comment p {font-size:22px!important; font-weight:700;color:#FECF00!important;}
.rate-form-hide {display:none;}
.rating-title {font-size:38px;font-weight:700;color:#000!important;}
.rating-comments textarea {height:100px!important;}


/* ---------------------------------------------------------------------------------*/
/* 15 - REVIEW FORMS CHECKOUT CSS */
/* ---------------------------------------------------------------------------------*/
p.review-text {display:inline-block;margin: 0px 0px 20px 0px;}
p.review-comment {font-size:18px!important;}
div.stars {width: auto;display: inline-block;}
input.star {display: none;}
label.star {float: right;margin-right:0px!important;margin-bottom: 15px;padding-right: 10px;font-size: 50px;color: #444;transition: all .2s;line-height:0.5em!important;}
input.star-5:checked ~ label.star:before { color: #ffcb00; }
input.star-4:checked ~ label.star:before { color: #f0b800; }
input.star-3:checked ~ label.star:before { color: #f09c00; }
input.star-2:checked ~ label.star:before { color: #f07000; }
input.star-1:checked ~ label.star:before { color: #d40000; }
label.star:hover {transform: rotate(-10deg) scale(1.3); }
label.star:before {content: '\2605';}


/* ---------------------------------------------------------------------------------*/
/* 16 - ANIMATIONS */
/* ---------------------------------------------------------------------------------*/
@keyframes pulse-orange {
	0% {box-shadow: 0 0 0 0 rgba(255, 153, 0, 0.7);}
	70% {box-shadow: 0 0 0 10px rgba(255, 153, 0, 0);}
	100% {box-shadow: 0 0 0 0 rgba(255, 153, 0, 0);}
}